Tristero Docs
API Reference

Submit an order

Submit a signed order for execution. Supports spot swaps, margin positions, and feather swaps.

POST
/orders

Submit a signed order for execution. Supports spot swaps, margin positions, and feather swaps.

Authorization

ApiKeyAuth
X-API-Key<token>

API key for authentication (if required by deployment)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.tristero.com/v2/orders" \  -H "Content-Type: application/json" \  -d '{    "signature": "0x...",    "domain": {},    "message": {}  }'
{
  "id": "string",
  "order_id": "string",
  "status": "string",
  "deposit_address": "string",
  "detail": {}
}
{
  "error": "string",
  "detail": {}
}